PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package mount
  Definition Classes
    serverobject
- LargeCargo
- MaxOnly
- MountInfo
- MountRestriction
- Mountable
- MountableBehavior
- MountableDefinition
- MountableSpace
- MountableSpaceDefinition
- NoMax
- NoReinforcedOrMax
- Seat
- SeatDefinition
- SmallCargo
- Unrestricted

t

net.psforever.objects.serverobject.mount

# MountableBehavior

###

#### trait MountableBehavior extends AnyRef

Self Type
  MountableBehavior with Actor
Source
  MountableBehavior.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
TurretControl, ImplantTerminalMechControl, FacilityTurretControl, VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MountableBehavior
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def MountableObject: PlanetSideServerObject with Mountable

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val dismountBehavior: (MountableBehavior.this)#Receive

   The logic governing `Mountable` objects that use the `TryDismount` message.

   The logic governing `Mountable` objects that use the `TryDismount` message. This is a mix-in trait for combining with existing `Receive` logic.

   See also

     `Seat`

     `Mountable`

7.  def dismountTest(obj: Mountable with WorldEntity, seatNumber: Int, user: Player): Boolean
   Attributes
     protected
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def getUsedMountPoint(playerName: String, seatNumber: Int): Int
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  val mountBehavior: (MountableBehavior.this)#Receive

    The logic governing `Mountable` objects that use the `TryMount` message.

    The logic governing `Mountable` objects that use the `TryMount` message. This is a mix-in trait for combining with existing `Receive` logic.

    See also

      `Seat`

      `Mountable`

16.  def mountTest(obj: PlanetSideServerObject with Mountable, seatNumber: Int, player: Player): Boolean
    Attributes
      protected
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  val usedMountPoint: HashMap[String, Int]

    retain the mount point that was used by this occupant to mount

23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped